[DEFAULT]
support-files =
  head.js
  image.png
  uitour.html
  ../UITour-lib.js

[browser_backgroundTab.js]
[browser_closeTab.js]
skip-if = (verify && !debug && (os == 'linux'))
[browser_fxa.js]
skip-if =
  debug || asan # updateUI leaks
[browser_fxa_config.js]
skip-if = win10_2004 && !debug # Bug 1727171 and Bug 1723573
[browser_openPreferences.js]
skip-if =
  win10_2004 && !fission # Bug 1723573
[browser_openSearchPanel.js]
skip-if = true # Bug 1113038 - Intermittent "Popup was opened"
[browser_UITour.js]
skip-if = os == "linux" || verify # Intermittent failures, bug 951965
[browser_UITour2.js]
skip-if =
  os == 'linux' && bits == 64 && !debug #Bug 1678630
[browser_UITour3.js]
skip-if =
  os == "linux" && bits == 64 && !debug #Bug 1624291
[browser_UITour4.js]
[browser_UITour5.js]
skip-if = os == "linux" # Linux: Bug 986760, Bug 989101.
[browser_UITour_availableTargets.js]
[browser_UITour_annotation_size_attributes.js]
[browser_UITour_colorway.js]
[browser_UITour_defaultBrowser.js]
[browser_UITour_detach_tab.js]
[browser_UITour_forceReaderMode.js]
[browser_UITour_modalDialog.js]
skip-if = os != "mac" # modal dialog disabling only working on OS X.
[browser_UITour_observe.js]
[browser_UITour_panel_close_annotation.js]
skip-if = true # Disabled due to frequent failures, bugs 1026310 and 1032137
[browser_UITour_pocket.js]
skip-if = true # Disabled pending removal of pocket UI Tour
[browser_UITour_resetProfile.js]
skip-if = (verify && !debug && (os == 'linux'))
[browser_UITour_showNewTab.js]
skip-if = (verify && !debug && (os == 'linux'))
[browser_UITour_showProtectionReport.js]
skip-if = os == 'linux' # Bug 1579831
[browser_UITour_sync.js]
skip-if = os == "linux" && bits == 64 && os_version == '18.04' # Bug 1548677
[browser_UITour_toggleReaderMode.js]
skip-if = (verify && !debug && (os == 'linux'))
